org.wso2.carbon.logging.admin.stub.types.axis2

## Class LoggingAdminLoggingAdminException

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.axis2.LoggingAdminLoggingAdminException

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class LoggingAdminLoggingAdminException
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  LoggingAdminLoggingAdminException bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoggingAdminLoggingAdminException.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LoggingAdminException` | `localLoggingAdminException` field for LoggingAdminException
    `protected boolean` | `localLoggingAdminExceptionTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingAdminLoggingAdminException()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LoggingAdminException` | `getLoggingAdminException()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `boolean` | `isLoggingAdminExceptionSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setLoggingAdminException(LoggingAdminException param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localLoggingAdminException

          protected LoggingAdminException localLoggingAdminException

      field for LoggingAdminException

    - #### localLoggingAdminExceptionTracker

          protected boolean localLoggingAdminExceptionTracker

  - ### Constructor Detail

    - #### LoggingAdminLoggingAdminException

          public LoggingAdminLoggingAdminException()

  - ### Method Detail

    - #### isLoggingAdminExceptionSpecified

          public boolean isLoggingAdminExceptionSpecified()

    - #### getLoggingAdminException

          public LoggingAdminException getLoggingAdminException()

      Auto generated getter method
      Returns:
        org.wso2.carbon.logging.service.xsd.LoggingAdminException

    - #### setLoggingAdminException

          public void setLoggingAdminException(LoggingAdminException param)

      Auto generated setter method
      Parameters:
        `param` - LoggingAdminException

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                   org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                       XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                       XMLStreamWriter xmlWriter,
                       boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2017 WSO2. All rights reserved.